Name:           kde-plasma-cwp
Version:        1.5.2
Release:        1%{?dist}
Summary:        Customizable weather plasmoid

Group:          User Interface/Desktops
License:        GPLv3+
URL:            http://kde-apps.org/content/show.php?content=98925
Source0:        http://kde-apps.org/CONTENT/content-files/98925-cwp-%{version}.tar.bz2

BuildRequires:  gettext
BuildRequires:  kdelibs4-devel

%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}

%description
This is another weather plasmoid. It aims to be highly
customizable, but a little harder to setup than other
weather plasmoids.


%prep
%setup -q -n cwp-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang plasma_applet_cwp


%clean
rm -rf %{buildroot}


%post
update-desktop-database &> /dev/null || :
touch --no-create %{_kde4_iconsdir}/oxygen &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_kde4_iconsdir}/oxygen &>/dev/null
    gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &>/dev/null || :


%files -f plasma_applet_cwp.lang
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_kde4_libdir}/kde4/plasma_applet_cwp.so
%{_kde4_iconsdir}/oxygen/*/status/weather-windy.*
%{_kde4_appsdir}/desktoptheme/default/widgets/*svgz
%{_kde4_appsdir}/plasma-cwp
%{_kde4_datadir}/kde4/services/plasma-applet-cwp.desktop


%changelog
* Sun Apr 10 2011 Alexey Kurov <nucleo@fedoraproject.org> - 1.5.2-1
- Initial RPM release
